IntegerSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.serializers

## Class IntegerSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.IntegerSerializer

- All Implemented Interfaces:
    TypeSerializer<java.math.BigInteger>

      public class IntegerSerializer
      extends java.lang.Object
      implements TypeSerializer<java.math.BigInteger>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IntegerSerializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `deserialize(java.nio.ByteBuffer bytes)`
    `java.lang.Class<java.math.BigInteger>` | `getType()`
    `java.nio.ByteBuffer` | `serialize(java.math.BigInteger value)`
    `java.lang.String` | `toString(java.math.BigInteger value)`
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.serializers.TypeSerializer

      `toCQLLiteral`

- - ### Field Detail

    - #### instance

          public static final IntegerSerializer instance

  - ### Constructor Detail

    - #### IntegerSerializer

          public IntegerSerializer()

  - ### Method Detail

    - #### deserialize

          public java.math.BigInteger deserialize(java.nio.ByteBuffer bytes)

      Specified by:
        `deserialize` in interface `TypeSerializer<java.math.BigInteger>`

    - #### serialize

          public java.nio.ByteBuffer serialize(java.math.BigInteger value)

      Specified by:
        `serialize` in interface `TypeSerializer<java.math.BigInteger>`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<java.math.BigInteger>`
      Throws:
        `MarshalException`

    - #### toString

          public java.lang.String toString(java.math.BigInteger value)

      Specified by:
        `toString` in interface `TypeSerializer<java.math.BigInteger>`

    - #### getType

          public java.lang.Class<java.math.BigInteger> getType()

      Specified by:
        `getType` in interface `TypeSerializer<java.math.BigInteger>`

Copyright © 2018 The Apache Software Foundation